import { InputDatePickerComponent } from "@colijnit/corecomponents_v12";
import { TransactionInputHeaderFieldBaseComponent } from '../core/base/transaction-input-header-field-base.component';
export declare class TransactionHeaderScoringDateComponent extends TransactionInputHeaderFieldBaseComponent {
    set child(content: any);
    input: InputDatePickerComponent;
    showClass(): boolean;
    commit(date: Date): Promise<boolean>;
}
